%global pypi_name portend

%bcond_with docs

Name:           python-%{pypi_name}
Version:        3.2.0
Release:        %mkrel 3
Summary:        TCP port monitoring and discovery
License:        MIT
Group:          Development/Python
URL:            https://pypi.org/project/portend
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Use portend to monitor TCP ports for bound or unbound states.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python

%description -n python3-%{pypi_name}
Use portend to monitor TCP ports for bound or unbound states.

%prep
%autosetup -n %{pypi_name}-%{version}

# black is apparently not a valid option?
sed -i 's/ --black//' pytest.ini

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files portend

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif


%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 3.2.0-3.mga10
+ Revision: 2159231
- rebuild for python 3.13

* Sun Dec 10 2023 wally <wally> 3.2.0-2.mga10
+ Revision: 2016791
- use %%pyproject_buildrequires
- rebuild for py3.12

* Thu Sep 21 2023 papoteur <papoteur> 3.2.0-1.mga10
+ Revision: 1989117
- new 3.2.0

* Wed Mar 30 2022 umeabot <umeabot> 3.1.0-3.mga9
+ Revision: 1833851
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.1.0-2.mga9
+ Revision: 1783305
- rebuild for python-3.10

* Sun Nov 28 2021 guillomovitch <guillomovitch> 3.1.0-1.mga9
+ Revision: 1759737
- new version 3.1.0

* Tue Mar 23 2021 guillomovitch <guillomovitch> 2.7.1-2.mga9
+ Revision: 1708428
- new version 4.0.2

* Fri Feb 26 2021 guillomovitch <guillomovitch> 2.7.1-1.mga9
+ Revision: 1691828
- new version 2.7.1

* Sun Dec 13 2020 guillomovitch <guillomovitch> 2.7.0-1.mga8
+ Revision: 1656366
- new version 2.7.0

* Tue Nov 10 2020 guillomovitch <guillomovitch> 2.6-1.mga8
+ Revision: 1644391
- imported package python-portend

